# class Literal

###

Module | nepomuk
Namespace | Nepomuk
Class | Literal
Inherits |

Defines a literal type based on XML Schema.

Each valid Literal represents the literal type as XML Schema URI and as QVariant type.

Deprecated in favor of Nepomuk.Types.Literal

### methods

- Literal ( )

  returns ctor

  Default constructor. Creates an empty Literal

- Literal (a0)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  a0 | Nepomuk.Literal |

- Literal (dataTypeUri)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  dataTypeUri | QUrl |

- dataType ( )

  returns QVariant.Type

  The type converted to a QVariant.Type. Returns The QVariant.Type that corresponds to the XML Schema type or QVariant.Invalid if it could not be matched.

- dataTypeUri ( )

  returns QUrl

  The XML Schema type URI.